curl --request POST \
--url https://api.amplemarket.com/people/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"person_name": "<string>",
"person_titles": [
"<string>"
],
"person_keywords": [
"<string>"
],
"person_exclude_keywords": [
"<string>"
],
"company_keywords": [
"<string>"
],
"company_exclude_keywords": [
"<string>"
],
"person_title_exact_match": true,
"person_seniorities": [],
"person_departments": [
"<string>"
],
"person_job_functions": [
"<string>"
],
"person_locations": [
"<string>"
],
"person_exclude_locations": [
"<string>"
],
"company_locations": [
"<string>"
],
"company_exclude_locations": [
"<string>"
],
"company_names": [
"<string>"
],
"company_exclude_names": [
"<string>"
],
"company_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"company_exclude_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"education_company_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"education_company_names": [
"<string>"
],
"company_domains": [
"<string>"
],
"company_exclude_domains": [
"<string>"
],
"company_linkedin_urls": [
"<string>"
],
"company_exclude_linkedin_urls": [
"<string>"
],
"company_domains_match_subsidiaries_and_affiliates": true,
"company_focuses": [],
"company_types": [],
"company_sizes": [],
"company_industries": [
"<string>"
],
"company_exclude_industries": [
"<string>"
],
"linkedin_networks": [
"<string>"
],
"exclude_linkedin_networks": [
"<string>"
],
"company_investors": [
"<string>"
],
"company_shares_investors_with": [
"<string>"
],
"company_revenue": [],
"company_founded_date": {
"min": 123,
"max": 123
},
"company_web_traffic_rank": {
"min": 123,
"max": 123
},
"job_openings": {
"titles": [
"<string>"
]
},
"news": {
"categories": [
"<string>"
],
"range_months": 123
},
"headcount_growth": {
"growth_rates": [
{
"min": 123,
"max": 123
}
]
},
"crm_account_owner": [
"jsmith@example.com"
],
"company_last_funding": {
"round_type": [],
"range_months": 123
},
"person_linkedin_presence": [],
"company_linkedin_presence": [],
"page": 1,
"page_size": 5
}
'import requests
url = "https://api.amplemarket.com/people/search"
payload = {
"person_name": "<string>",
"person_titles": ["<string>"],
"person_keywords": ["<string>"],
"person_exclude_keywords": ["<string>"],
"company_keywords": ["<string>"],
"company_exclude_keywords": ["<string>"],
"person_title_exact_match": True,
"person_seniorities": [],
"person_departments": ["<string>"],
"person_job_functions": ["<string>"],
"person_locations": ["<string>"],
"person_exclude_locations": ["<string>"],
"company_locations": ["<string>"],
"company_exclude_locations": ["<string>"],
"company_names": ["<string>"],
"company_exclude_names": ["<string>"],
"company_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"company_exclude_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"education_company_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"education_company_names": ["<string>"],
"company_domains": ["<string>"],
"company_exclude_domains": ["<string>"],
"company_linkedin_urls": ["<string>"],
"company_exclude_linkedin_urls": ["<string>"],
"company_domains_match_subsidiaries_and_affiliates": True,
"company_focuses": [],
"company_types": [],
"company_sizes": [],
"company_industries": ["<string>"],
"company_exclude_industries": ["<string>"],
"linkedin_networks": ["<string>"],
"exclude_linkedin_networks": ["<string>"],
"company_investors": ["<string>"],
"company_shares_investors_with": ["<string>"],
"company_revenue": [],
"company_founded_date": {
"min": 123,
"max": 123
},
"company_web_traffic_rank": {
"min": 123,
"max": 123
},
"job_openings": { "titles": ["<string>"] },
"news": {
"categories": ["<string>"],
"range_months": 123
},
"headcount_growth": { "growth_rates": [
{
"min": 123,
"max": 123
}
] },
"crm_account_owner": ["jsmith@example.com"],
"company_last_funding": {
"round_type": [],
"range_months": 123
},
"person_linkedin_presence": [],
"company_linkedin_presence": [],
"page": 1,
"page_size": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
person_name: '<string>',
person_titles: ['<string>'],
person_keywords: ['<string>'],
person_exclude_keywords: ['<string>'],
company_keywords: ['<string>'],
company_exclude_keywords: ['<string>'],
person_title_exact_match: true,
person_seniorities: [],
person_departments: ['<string>'],
person_job_functions: ['<string>'],
person_locations: ['<string>'],
person_exclude_locations: ['<string>'],
company_locations: ['<string>'],
company_exclude_locations: ['<string>'],
company_names: ['<string>'],
company_exclude_names: ['<string>'],
company_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
company_exclude_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
education_company_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
education_company_names: ['<string>'],
company_domains: ['<string>'],
company_exclude_domains: ['<string>'],
company_linkedin_urls: ['<string>'],
company_exclude_linkedin_urls: ['<string>'],
company_domains_match_subsidiaries_and_affiliates: true,
company_focuses: [],
company_types: [],
company_sizes: [],
company_industries: ['<string>'],
company_exclude_industries: ['<string>'],
linkedin_networks: ['<string>'],
exclude_linkedin_networks: ['<string>'],
company_investors: ['<string>'],
company_shares_investors_with: ['<string>'],
company_revenue: [],
company_founded_date: {min: 123, max: 123},
company_web_traffic_rank: {min: 123, max: 123},
job_openings: {titles: ['<string>']},
news: {categories: ['<string>'], range_months: 123},
headcount_growth: {growth_rates: [{min: 123, max: 123}]},
crm_account_owner: ['jsmith@example.com'],
company_last_funding: {round_type: [], range_months: 123},
person_linkedin_presence: [],
company_linkedin_presence: [],
page: 1,
page_size: 5
})
};
fetch('https://api.amplemarket.com/people/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "person_search_result",
"results": [
{
"id": "019f5b76-fbbd-746f-96eb-0c7b5ea7b69e",
"object": "person",
"name": "Jonh Doe",
"first_name": "Jonh",
"last_name": "Doe",
"linkedin_url": "https://www.linkedin.com/in/person-1",
"title": "Founder and CEO",
"headline": "CEO @ Company",
"about": null,
"current_position_start_date": "2022-05-01",
"current_position_description": null,
"image_url": "https://example.com/resource",
"location": "San Francisco, California, United States",
"location_details": {
"city": "San Francisco",
"state": "California",
"country": "United States",
"lat": 37.7749,
"long": -122.4194
},
"experiences": [
{
"object": "experience",
"title": "CEO",
"company_name": "A Company",
"company_linkedin_url": "https://www.linkedin.com/company/company-1",
"description": null,
"start_date": "2024-07-01",
"end_date": null
}
],
"educations": [
{
"object": "education",
"degree": "BSc",
"field_of_study": "Computer Science",
"school_name": "MIT",
"school_linkedin_url": "https://www.linkedin.com/school/mit",
"start_date": "2020-07-01",
"end_date": "2024-07-01"
}
],
"languages": [
{
"object": "language",
"language": "Portuguese",
"iso_code": "por",
"proficiency": "Native or bilingual proficiency"
},
{
"object": "language",
"language": "English",
"iso_code": "eng",
"proficiency": "Professional working proficiency"
},
{
"object": "language",
"language": "Spanish",
"iso_code": "spa",
"proficiency": null
}
],
"linkedin_presence": "none",
"company": {
"id": "019f5b76-fb9d-7e53-a483-9892df1074b0",
"object": "company",
"name": "A Company",
"website": "https://company.com",
"linkedin_url": "https://www.linkedin.com/company/company-1",
"keywords": [
"sales",
"ai sales",
"sales engagement"
],
"estimated_number_of_employees": 500,
"size": "201-500 employees",
"industry": "Software Development",
"logo_url": "https://assets.amplemarket.com/avatars/company/019f5b76-fb9d-7e53-a483-9892df1074b0",
"location": "San Francisco, California, United States",
"location_details": {
"city": "San Francisco",
"state": "California",
"country": "United States",
"postal_code": "94103",
"lat": 37.7749,
"long": -122.4194
},
"locations": [],
"overview": "Circle Health is a group of hospitals in the UK",
"followers": 0,
"linkedin_presence": "none",
"founded_year": 1995,
"traffic_rank": 50,
"sic_codes": [
1,
2,
3
],
"naics_codes": [
5112,
511,
51
],
"type": "Privately Held",
"total_funding": 0,
"latest_funding_stage": "series_b",
"latest_funding_date": "2019-11-02",
"funding_events": [
{
"date": "2019-11-02",
"type": "Series B",
"investors": [],
"amount": 40000000,
"currency": null,
"amount_usd": null
}
],
"is_b2b": true,
"is_b2c": false,
"technologies": [],
"department_headcount": {
"consulting": 31420,
"design": 5312,
"education": 9063,
"engineering_technical": 167805,
"finance": 31894,
"human_resources": 33265,
"information_technology": 94657,
"legal": 41863,
"marketing": 38192,
"medical_health": 11440,
"operations": 198127,
"product": 11077,
"revenue": 75777,
"senior_leadership": 1933
},
"job_function_headcount": {
"finance": {
"accounting": 12824,
"finance": 12197,
"financial_planning_analysis": 2468,
"financial_reporting": 250,
"financial_risk": 886,
"financial_strategy": 91,
"financial_systems": 11,
"internal_audit_control": 850,
"investor_relations": 129,
"mergers_acquisitions": 259,
"real_estate_finance": 117,
"shared_services": 56,
"sourcing_procurement": 3767,
"tax": 822,
"treasury": 179
},
"legal": {
"acquisitions": 8,
"compliance": 4921,
"contracts": 206,
"corporate_secretary": 217,
"ediscovery": 57,
"ethics": 1070,
"governance": 66,
"governmental_affairs_regulatory_law": 518,
"intellectual_property_patent": 63,
"labor_employment": 96,
"lawyer_attorney": 2014,
"legal": 31969,
"legal_counsel": 879,
"legal_operations": 3777,
"litigation": 89,
"privacy": 198
},
"revenue": {
"account_management": 16253,
"business_development": 10633,
"channel_sales": 618,
"customer_retention_development": 1746,
"customer_success": 15253,
"field_outside_sales": 5375,
"inside_sales": 3475,
"partnerships": 380,
"revenue_operations": 26,
"sales": 43809,
"sales_enablement": 26,
"sales_engineering": 135,
"sales_operations": 254,
"sales_training": 465
},
"engineering_technical": {
"artificial_intelligence_machine_learning": 4466,
"bioengineering_biometrics": 2,
"business_intelligence": 6811,
"chemical_engineering": 3014,
"cloud_mobility": 1144,
"data_science": 9589,
"devops": 502,
"digital_transformation": 13,
"emerging_technology_innovation": 576,
"engineering_technical": 37540,
"industrial_engineering": 1242,
"mechanic": 1037,
"mobile_development": 3282,
"project_management": 4923,
"research_development": 10123,
"scrum_master_agile_coach": 173,
"software_development": 57246,
"support_technical_services": 8328,
"technician": 7999,
"technology_operations": 64,
"test_quality_assurance": 6722,
"ui_ux": 458,
"web_development": 2551
},
"operations": {
"call_center": 2095,
"construction": 2338,
"corporate_strategy": 1194,
"customer_service_support": 21434,
"enterprise_resource_planning": 389,
"facilities_management": 18036,
"leasing": 33,
"logistics": 75145,
"office_operations": 32304,
"operations": 27241,
"physical_security": 3280,
"project_development": 695,
"quality_management": 1801,
"real_estate": 961,
"safety": 2794,
"store_operations": 26641,
"supply_chain": 2728
},
"senior_leadership": {
"executive": 348,
"finance_executive": 71,
"founder": 1128,
"human_resources_executive": 3,
"information_technology_executive": 35,
"legal_executive": 2,
"marketing_executive": 314,
"medical_health_executive": 3,
"operations_executive": 32,
"sales_executive": 2
},
"medical_health": {
"anesthesiology": 33,
"chiropractics": 64,
"clinical_systems": 91,
"dentistry": 480,
"dermatology": 6,
"doctors_physicians": 1214,
"epidemiology": 1,
"first_responder": 504,
"medical_administration": 767,
"medical_education_training": 19,
"medical_research": 92,
"medicine": 1202,
"neurology": 1,
"nursing": 2053,
"nutrition_dietetics": 94,
"obstetrics_gynecology": 50,
"oncology": 3,
"ophthalmology": 11,
"optometry": 46,
"orthopedics": 14,
"pathology": 15,
"pediatrics": 20,
"pharmacy": 873,
"physical_therapy": 342,
"psychiatry": 383,
"psychology": 663,
"public_health": 803,
"radiology": 215,
"social_work": 2495
},
"information_technology": {
"application_development": 37630,
"business_service_management_itsm": 1710,
"collaboration_web_app": 281,
"data_center": 597,
"data_warehouse": 2090,
"database_administration": 309,
"ecommerce_development": 285,
"enterprise_architecture": 784,
"help_desk_desktop_services": 4164,
"hr_financial_erp_systems": 807,
"information_security": 1742,
"information_technology": 9139,
"infrastructure": 2254,
"it_asset_management": 100,
"it_audit_it_compliance": 50,
"it_operations": 6941,
"it_procurement": 866,
"it_strategy": 439,
"it_training": 51,
"networking": 1528,
"project_program_management": 15780,
"quality_assurance": 8126,
"retail_store_systems": 1042,
"servers": 984,
"storage_disaster_recovery": 111,
"telecommunications": 186,
"virtualization": 915
},
"education": {
"principal": 458,
"professor": 694,
"superintendent": 28,
"teacher": 7885
},
"marketing": {
"advertising": 3032,
"brand_management": 2504,
"content_marketing": 2641,
"customer_experience": 812,
"customer_marketing": 8,
"demand_generation": 507,
"digital_marketing": 1640,
"ecommerce_marketing": 1121,
"event_marketing": 125,
"field_marketing": 740,
"lead_generation": 2937,
"marketing": 18980,
"marketing_analytics_insights": 716,
"marketing_communications": 496,
"marketing_operations": 71,
"product_marketing": 1319,
"public_relations": 972,
"search_engine_optimization_pay_per_click": 974,
"social_media_marketing": 1411,
"strategic_communications": 709,
"technical_marketing": 5
},
"consulting": {
"consultant": 31420
},
"human_resources": {
"compensation_benefits": 908,
"culture_diversity_inclusion": 182,
"employee_labor_relations": 1147,
"health_safety": 1087,
"hr_business_partner": 3332,
"human_resource_information_system": 1321,
"human_resources": 13884,
"learning_development": 7386,
"organizational_development": 154,
"people_operations": 10,
"recruiting_talent_acquisition": 5764,
"talent_management": 911,
"workforce_management": 571
},
"design": {
"graphic_visual_brand_design": 3707,
"product_or_ui_ux_design": 2364
},
"product": {
"product_development": 266,
"product_management": 10811
}
},
"estimated_revenue": "$1M-$10M"
},
"gender": "male"
}
],
"_pagination": {
"page": 1,
"page_size": 30,
"total_pages": 1,
"total": 1
}
}Search people
Search people
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Parameters to use for searching people.
Keywords to search in the person's profile summary (headline, about, etc.). Matches any keyword by default.
Keywords to exclude from the person's profile summary.
Keywords to search in the person's company description. Matches any keyword by default.
Keywords to exclude from the person's company description.
Owner, Founder, C-Suite, Partner, VP, Head, Director, Manager, Senior, Entry, Intern, Other, Non-Manager, Founder / Owner Available options: Supported departments
Available options: Supported job functions
b2b, b2c Public Company, Educational, Self Employed, Government Agency, Non Profit, Self Owned, Privately Held, Partnership 1-10 employees, 11-50 employees, 51-200 employees, 201-500 employees, 501-1000 employees, 1001-5000 employees, 5001-10000 employees, 10001+ employees Available options: Supported industries
Available options: Supported industries
Array of user email addresses. The LinkedIn networks of these users will be used for filtering results. Use the special string all_networks to include all LinkedIn networks associated with the account's users.
Array of user email addresses. The LinkedIn networks of these users will be excluded from the results. Use the special string all_networks to exclude all LinkedIn networks associated with the account's users.
Array of investor names. Filter for companies that have received investment by any of the specified investors.
Array of company names. Filter for companies that share one or more common investors with the specified companies.
Filter by the person's company estimated revenue range.
$0-$1M, $1M-$10M, $10M-$100M, $100M-$1B, $1B+ Filter by the person's company founding year range.
Show child attributes
Show child attributes
Filter by the person's company web traffic rank.
Show child attributes
Show child attributes
Filter by the person's company having matching open positions.
Show child attributes
Show child attributes
Filter by the person's company having recent news.
Show child attributes
Show child attributes
Filter by the person's company total headcount growth percentage.
Show child attributes
Show child attributes
Filter by the person's company CRM account owner emails. Requires a connected CRM integration (Salesforce or HubSpot). Returns an error if no owners match the provided emails.
Filter by the person's company last funding round.
Show child attributes
Show child attributes
Filter by the person's LinkedIn follower tier. Supported values: influencer — Influencer (10,000+ followers), micro_influencer — Micro Influencer (5,000 - 9,999 followers), large — Large following (500 - 4,999 followers), moderate — Moderate following (100 - 499 followers), limited — Limited following (1 - 99 followers), none — No following (0 followers). All ranges are inclusive.
influencer, large, limited, micro_influencer, moderate, none Filter by the person's company LinkedIn follower tier. Supported values: massive — Massive following (100,000+ followers), large — Large following (10,000 - 99,999 followers), moderate — Moderate following (1,000 - 9,999 followers), limited — Limited following (1 - 999 followers), none — No following (0 followers). All ranges are inclusive.
large, limited, massive, moderate, none Number of results per page. Values greater than 100 are accepted and capped at 100.
x >= 1Was this page helpful?